import zod from "zod";
import type { CmsContext } from "@webiny/api-headless-cms/types";
import type { DataLoaderRequest, DataLoaderResult, IDataSource } from "..";
export interface CmsEntryDataSourceConfig {
    modelId: string;
    entryId: string;
}
export declare class CmsEntryDataSource implements IDataSource<CmsEntryDataSourceConfig> {
    private cms;
    constructor(cms: CmsContext["cms"]);
    getType(): string;
    getConfigSchema(): zod.Schema;
    load(request: DataLoaderRequest<CmsEntryDataSourceConfig>): Promise<DataLoaderResult>;
}
