"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dynamicData = void 0;
var _zod = _interopRequireDefault(require("zod"));
const dynamicData = exports.dynamicData = {
  dataSources: _zod.default.array(_zod.default.object({
    name: _zod.default.string(),
    type: _zod.default.string(),
    config: _zod.default.object({}).passthrough()
  })).optional(),
  dataBindings: _zod.default.array(_zod.default.object({
    dataSource: _zod.default.string(),
    bindFrom: _zod.default.string(),
    bindTo: _zod.default.string()
  })).optional()
};

//# sourceMappingURL=dynamicData.validation.js.map