import zod from "zod";
export declare const createMenuCreateValidation: () => zod.ZodObject<zod.objectUtil.extendShape<{
    title: zod.ZodString;
    description: zod.ZodOptional<zod.ZodString>;
    items: zod.ZodOptional<zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">>;
}, {
    slug: zod.ZodString;
}>, "strip", zod.ZodTypeAny, {
    title: string;
    slug: string;
    description?: string | undefined;
    items?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
}, {
    title: string;
    slug: string;
    description?: string | undefined;
    items?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
}>;
export declare const createMenuUpdateValidation: () => zod.ZodObject<{
    title: zod.ZodOptional<zod.ZodString>;
    description: zod.ZodOptional<zod.ZodOptional<zod.ZodString>>;
    items: zod.ZodOptional<zod.ZodOptional<zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">>>;
}, "strip", zod.ZodTypeAny, {
    title?: string | undefined;
    description?: string | undefined;
    items?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
}, {
    title?: string | undefined;
    description?: string | undefined;
    items?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
}>;
